Endpoints

Executions

Copy page

Durable agent execution endpoints

Create durable agent execution

POST
/run/api/executions

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication. Use this for API clients and service-to-service communication. Set the Authorization header to "Bearer ".

In: header

Request Body

application/json

conversationId?string
forwardedHeaders?
messages*array<>

The conversation messages

Response Body

text/event-stream

application/json

application/json

curl -X POST "https://api.pilot.inkeep.com/run/api/executions" \  -H "Content-Type: application/json" \  -d '{    "messages": [      {        "content": "string",        "role": "system"      }    ]  }'
"string"
{
  "error": "string"
}
{
  "error": "string"
}

Get execution status

GET
/run/api/executions/:executionId

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication. Use this for API clients and service-to-service communication. Set the Authorization header to "Bearer ".

In: header

Path Parameters

executionId*string

Response Body

application/json

application/json

curl -X GET "https://api.pilot.inkeep.com/run/api/executions/:executionId"
{
  "agentId": "string",
  "conversationId": "string",
  "createdAt": "string",
  "id": "string",
  "status": "running",
  "updatedAt": "string"
}
{
  "error": "string"
}

Approve or deny a tool call

POST
/run/api/executions/:executionId/approvals/:toolCallId

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication. Use this for API clients and service-to-service communication. Set the Authorization header to "Bearer ".

In: header

Path Parameters

executionId*string
toolCallId*string

Request Body

application/json

approved*boolean
reason?string

Response Body

application/json

application/json

curl -X POST "https://api.pilot.inkeep.com/run/api/executions/:executionId/approvals/:toolCallId" \  -H "Content-Type: application/json" \  -d '{    "approved": true  }'
{
  "success": true
}
{
  "error": "string"
}

Reconnect to execution stream

GET
/run/api/executions/:executionId/stream

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication. Use this for API clients and service-to-service communication. Set the Authorization header to "Bearer ".

In: header

Path Parameters

executionId*string

Response Body

text/event-stream

application/json

curl -X GET "https://api.pilot.inkeep.com/run/api/executions/:executionId/stream"
"string"
{
  "error": "string"
}